package com.zipcodewilmington.productmanager;


import java.lang.reflect.Array;
import java.util.ArrayList;

public class Inventory {

    private ArrayList<Product> productList;
    private double inventoryValue = 0.00;

    public Inventory() {
        this.productList = new ArrayList<Product>(Product.getProductList());
        this.inventoryValue = calcInventoryValue(getListOfValues());

    }

    public double getInventoryValue() {

        return this.inventoryValue;

    }

    public ArrayList<Product> getProductList() {

        return this.productList;

    }

    public ArrayList<Double> getListOfValues() {

        ArrayList<Double> listOfValues = new ArrayList<Double>();

        for (Product item : this.productList) {
            listOfValues.add(item.getValue());
        }

        return listOfValues;

    }

    public double calcInventoryValue(ArrayList<Double> values) {

        double inventoryValue = 0.00;

        for (double val : values) {

            inventoryValue = inventoryValue + val;
        }

        return inventoryValue;

    }



}