package com.zipcodewilmington.productmanager;

import java.util.ArrayList;

/**
 * Created by leon on 1/10/18.
 */
public class Product {

    private double price = 0.00;
    private int quantity = 0;
    private double value = 0.00;
    private int id;
    private static int nextId = 0;
    private static ArrayList<Product> ProductList = new ArrayList<Product>();


    public Product(double price, int quantity) {
        this.price = price;
        this.quantity = quantity;
        nextId++;
        this.id = nextId;
        this.value = this.price * (double) this.quantity;
        ProductList.add(this);
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public int getId() {

        return id;
    }

    public double getValue() {
        return value;
    }

    public static ArrayList<Product> getProductList() {
        return ProductList;
    }
}
